Bug 1468739 - TypeError exception when trying to add a new torrent in deluge-gtk
TypeError exception when trying to add a new torrent in deluge-gtk
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
25
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 15:13 EDT by Avinash Meetoo
Modified: 2017-12-12 05:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:25:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avinash Meetoo 2017-07-07 15:13:08 EDT
Description of problem:

Choosing add torrent in the menu or typing CTRL-O does not do anything apart from showing a TypeError exception in the terminal.

Version-Release number of selected component (if applicable):

Latest version in Fedora 25 (1.3.15)

How reproducible:

Launch deluge-gtk and choosing add torrent in the menu or typing CTRL-O does not do anything apart from showing a TypeError exception in the terminal.


Steps to Reproduce:
1.
2.
3.

Actual results:

Unhandled error in Deferred:


Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/twisted/protocols/policies.py", line 120, in dataReceived
    self.wrappedProtocol.dataReceived(data)
  File "/usr/lib/python2.7/site-packages/deluge/ui/client.py", line 179, in dataReceived
    d.callback(request[2])
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 393, in callback
    self._startRunCallbacks(result)
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 501, in _startRunCallbacks
    self._runCallbacks()
--- <exception caught here> ---
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 588, in _runCallbacks
    current.result = callback(current.result, *args, **kw)
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 197, in _on_config_values
    self.set_default_options()
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 494, in set_default_options
    self.core_config["download_location"])
exceptions.TypeError: Gtk.FileChooser.set_current_folder() argument 1 must be string, not None
Unhandled error in Deferred:


Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/twisted/protocols/policies.py", line 120, in dataReceived
    self.wrappedProtocol.dataReceived(data)
  File "/usr/lib/python2.7/site-packages/deluge/ui/client.py", line 179, in dataReceived
    d.callback(request[2])
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 393, in callback
    self._startRunCallbacks(result)
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 501, in _startRunCallbacks
    self._runCallbacks()
--- <exception caught here> ---
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 588, in _runCallbacks
    current.result = callback(current.result, *args, **kw)
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 197, in _on_config_values
    self.set_default_options()
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 494, in set_default_options
    self.core_config["download_location"])
exceptions.TypeError: Gtk.FileChooser.set_current_folder() argument 1 must be string, not None


Expected results:

Getting a dialog to add the torrent.

Additional info:
Comment 1 Michael Cronenworth 2017-07-25 19:17:04 EDT
I am unable to reproduce this. The Add Torrent dialog in the "deluge-gtk" app appears for me. I can also add a torrent and then delete it without error.
Comment 2 Fedora End Of Life 2017-11-16 14:19:04 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:25:31 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.